---
http_interactions:
- request:
    method: get
    uri: http://www.pixiv.net/
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Host:
      - www.pixiv.net
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "U2VydmVy":
      - !binary |-
        bmdpbng=
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo1MiBHTVQ=
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1sOyBjaGFyc2V0PVVURi04
      !binary "VHJhbnNmZXItRW5jb2Rpbmc=":
      - !binary |-
        Y2h1bmtlZA==
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        a2VlcC1hbGl2ZQ==
      !binary "VmFyeQ==":
      - !binary |-
        QWNjZXB0LUVuY29kaW5n
      !binary "WC1Ib3N0LVRpbWU=":
      - !binary |-
        MTE1
      !binary "U2V0LUNvb2tpZQ==":
      - !binary |-
        UEhQU0VTU0lEPWRjY2FjZDUzYTQ2ODUzYWY4ZmFlOTIyZWY2YmI2NDRjOyBl
        eHBpcmVzPUZyaSwgMjQtTWF5LTIwMTMgMjA6NTM6NTIgR01UOyBwYXRoPS87
        IGRvbWFpbj0ucGl4aXYubmV0
      - !binary |-
        cF9hYl9pZD0zOyBleHBpcmVzPVRodSwgMjQtTWF5LTIwMTggMTk6NTM6NTIg
        R01UOyBwYXRoPS87IGRvbWFpbj0ucGl4aXYubmV0
      - !binary |-
        cF9hYl9pZD0zOyBleHBpcmVzPVRodSwgMjQtTWF5LTIwMTggMTk6NTM6NTIg
        R01UOyBwYXRoPS87IGRvbWFpbj0ucGl4aXYubmV0
      !binary "RXhwaXJlcw==":
      - !binary |-
        VGh1LCAxOSBOb3YgMTk4MSAwODo1MjowMCBHTVQ=
      !binary "Q2FjaGUtQ29udHJvbA==":
      - !binary |-
        bm8tc3RvcmUsIG5vLWNhY2hlLCBtdXN0LXJldmFsaWRhdGUsIHBvc3QtY2hl
        Y2s9MCwgcHJlLWNoZWNrPTA=
      !binary "UHJhZ21h":
      - !binary |-
        bm8tY2FjaGU=
      !binary "WC1GcmFtZS1PcHRpb25z":
      - !binary |-
        U0FNRU9SSUdJTg==
      !binary "Q29udGVudC1FbmNvZGluZw==":
      - !binary |-
        Z3ppcA==
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 18285 characters]
        AAAA//8DANr4H1gyswAA
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:53 GMT
- request:
    method: post
    uri: http://www.pixiv.net/login.php
    body:
      encoding: UTF-8
      string: mode=login&return_to=%2F&pixiv_id=uroobnad&pass=uroobnad556
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - !binary |-
        UEhQU0VTU0lEPWRjY2FjZDUzYTQ2ODUzYWY4ZmFlOTIyZWY2YmI2NDRjOyBw
        X2FiX2lkPTM=
      Host:
      - www.pixiv.net
      Referer:
      - &70299036582520 !ruby/object:URI::HTTP
        scheme: http
        user: 
        password: 
        host: www.pixiv.net
        port: 80
        path: /
        query: 
        opaque: 
        registry: 
        fragment: 
        parser: 
      Content-Type:
      - application/x-www-form-urlencoded
      Content-Length:
      - '59'
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 302
      message: Found
    headers:
      Server:
      - nginx
      Date:
      - Fri, 24 May 2013 19:53:53 GMT
      Content-Type:
      - text/html; charset=UTF-8
      Connection:
      - keep-alive
      X-Host-Time:
      - '68'
      Set-Cookie:
      - PHPSESSID=696859_32627ff991ce376ec0a00f66ea190646; expires=Fri, 24-May-2013
        20:53:53 GMT; path=/; domain=.pixiv.net
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Location:
      - http://www.pixiv.net/
      Content-Length:
      - '0'
      X-Frame-Options:
      - SAMEORIGIN
    body:
      encoding: US-ASCII
      string: ''
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:53 GMT
- request:
    method: get
    uri: http://www.pixiv.net/
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - !binary |-
        cF9hYl9pZD0zOyBQSFBTRVNTSUQ9Njk2ODU5XzMyNjI3ZmY5OTFjZTM3NmVj
        MGEwMGY2NmVhMTkwNjQ2
      Host:
      - www.pixiv.net
      Referer:
      - *70299036582520
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 302
      message: Found
    headers:
      Server:
      - nginx
      Date:
      - Fri, 24 May 2013 19:53:53 GMT
      Content-Type:
      - text/html; charset=UTF-8
      Connection:
      - keep-alive
      X-Host-Time:
      - '66'
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Location:
      - http://www.pixiv.net/mypage.php
      Content-Length:
      - '0'
      X-Frame-Options:
      - SAMEORIGIN
    body:
      encoding: US-ASCII
      string: ''
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:53 GMT
- request:
    method: get
    uri: http://www.pixiv.net/mypage.php
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - !binary |-
        cF9hYl9pZD0zOyBQSFBTRVNTSUQ9Njk2ODU5XzMyNjI3ZmY5OTFjZTM3NmVj
        MGEwMGY2NmVhMTkwNjQ2
      Host:
      - www.pixiv.net
      Referer:
      - *70299036582520
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "U2VydmVy":
      - !binary |-
        bmdpbng=
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo1NCBHTVQ=
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1sOyBjaGFyc2V0PVVURi04
      !binary "VHJhbnNmZXItRW5jb2Rpbmc=":
      - !binary |-
        Y2h1bmtlZA==
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        a2VlcC1hbGl2ZQ==
      !binary "VmFyeQ==":
      - !binary |-
        QWNjZXB0LUVuY29kaW5n
      !binary "WC1Ib3N0LVRpbWU=":
      - !binary |-
        Njc=
      !binary "RXhwaXJlcw==":
      - !binary |-
        VGh1LCAxOSBOb3YgMTk4MSAwODo1MjowMCBHTVQ=
      !binary "Q2FjaGUtQ29udHJvbA==":
      - !binary |-
        bm8tc3RvcmUsIG5vLWNhY2hlLCBtdXN0LXJldmFsaWRhdGUsIHBvc3QtY2hl
        Y2s9MCwgcHJlLWNoZWNrPTA=
      !binary "UHJhZ21h":
      - !binary |-
        bm8tY2FjaGU=
      !binary "WC1GcmFtZS1PcHRpb25z":
      - !binary |-
        U0FNRU9SSUdJTg==
      !binary "Q29udGVudC1FbmNvZGluZw==":
      - !binary |-
        Z3ppcA==
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 34362 characters]
        AJGRLjGOQwEA
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:54 GMT
- request:
    method: get
    uri: http://www.pixiv.net/member_illust.php?illust_id=9646484&mode=medium
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - ! '*/*'
      User-Agent:
      - Mechanize/2.1.1 Ruby/1.9.3p327 (http://github.com/tenderlove/mechanize/)
      Accept-Encoding:
      - gzip,deflate,identity
      Accept-Charset:
      - ISO-8859-1,utf-8;q=0.7,*;q=0.7
      Accept-Language:
      - en-us,en;q=0.5
      Cookie:
      - !binary |-
        cF9hYl9pZD0zOyBQSFBTRVNTSUQ9Njk2ODU5XzMyNjI3ZmY5OTFjZTM3NmVj
        MGEwMGY2NmVhMTkwNjQ2
      Host:
      - www.pixiv.net
      Referer:
      - !ruby/object:URI::HTTP
        scheme: http
        user: 
        password: 
        host: www.pixiv.net
        port: 80
        path: /mypage.php
        query: 
        opaque: 
        registry: 
        fragment: 
        parser: 
      Connection:
      - keep-alive
      Keep-Alive:
      - 300
  response:
    status:
      code: 200
      message: !binary |-
        T0s=
    headers:
      !binary "U2VydmVy":
      - !binary |-
        bmdpbng=
      !binary "RGF0ZQ==":
      - !binary |-
        RnJpLCAyNCBNYXkgMjAxMyAxOTo1Mzo1NCBHTVQ=
      !binary "Q29udGVudC1UeXBl":
      - !binary |-
        dGV4dC9odG1sOyBjaGFyc2V0PVVURi04
      !binary "VHJhbnNmZXItRW5jb2Rpbmc=":
      - !binary |-
        Y2h1bmtlZA==
      !binary "Q29ubmVjdGlvbg==":
      - !binary |-
        a2VlcC1hbGl2ZQ==
      !binary "VmFyeQ==":
      - !binary |-
        QWNjZXB0LUVuY29kaW5n
      !binary "WC1Ib3N0LVRpbWU=":
      - !binary |-
        Njg=
      !binary "RXhwaXJlcw==":
      - !binary |-
        VGh1LCAxOSBOb3YgMTk4MSAwODo1MjowMCBHTVQ=
      !binary "Q2FjaGUtQ29udHJvbA==":
      - !binary |-
        bm8tc3RvcmUsIG5vLWNhY2hlLCBtdXN0LXJldmFsaWRhdGUsIHBvc3QtY2hl
        Y2s9MCwgcHJlLWNoZWNrPTA=
      !binary "UHJhZ21h":
      - !binary |-
        bm8tY2FjaGU=
      !binary "WC1GcmFtZS1PcHRpb25z":
      - !binary |-
        U0FNRU9SSUdJTg==
      !binary "Q29udGVudC1FbmNvZGluZw==":
      - !binary |-
        Z3ppcA==
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 25944 characters]
        AAD//wMADJaH0e3nAAA=
    http_version: 
  recorded_at: Fri, 24 May 2013 19:53:55 GMT
recorded_with: VCR 2.4.0
